Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
Class GrailsASTUtils

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.GrailsASTUtils

    public class GrailsASTUtils

extends Object

Helper methods for working with Groovy AST trees

Since:
  0.3 Created: 20th June 2006
Author:
  Graeme Rocher

Constructor Summary
`GrailsASTUtils()`

Method Summary
`static String` | `getFullName(org.codehaus.groovy.ast.ClassNode classNode)` Gets the full name of a ClassNode
`static boolean` | `hasProperty(org.codehaus.groovy.ast.ClassNode classNode, String propertyName)` Returns whether a classNode has the specified property or not
`static boolean` | `implementsZeroArgMethod(org.codehaus.groovy.ast.ClassNode classNode, String methodName)` Tests whether the ClasNode implements the specified method name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsASTUtils

    public GrailsASTUtils()

Method Detail

### hasProperty

    public static boolean hasProperty(org.codehaus.groovy.ast.ClassNode classNode,
                                      String propertyName)

  Returns whether a classNode has the specified property or not

  Parameters:
    `classNode` - The ClassNode
    `propertyName` - The name of the property
  Returns:
    True if the property exists in the ClassNode

### implementsZeroArgMethod

    public static boolean implementsZeroArgMethod(org.codehaus.groovy.ast.ClassNode classNode,
                                                  String methodName)

  Tests whether the ClasNode implements the specified method name

  Parameters:
    `classNode` - The ClassNode
    `methodName` - The method name
  Returns:
    True if it does implement the method

### getFullName

    public static String getFullName(org.codehaus.groovy.ast.ClassNode classNode)

  Gets the full name of a ClassNode

  Parameters:
    `classNode` - The class node
  Returns:
    The full name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project